using Zurnal.domain.Models;

public interface IUserRepository
{
    void AddUser(User user);
    User GetUserById(int id);
    IEnumerable<User> GetAllUsers();
    void UpdateUser(User user);
    void DeleteUser(int id);
}